=== debian/changelog ===
codecgraph (20090522-1) unstable; urgency=low

  * Initial release (Closes: bug#477106)
    - modified from the codecgraph package David Henningsson's PPA
      (https://launchpad.net/~diwic/+archive/ppa/)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 29 Jun 2011 17:07:11 +0100
