=== debian/changelog ===
codecgraph (20120114-1) unstable; urgency=low

  * New upstream release

 -- Keng-Yu Lin <kengyu@lexical.tw>  Tue, 07 Feb 2012 15:05:39 +0800
