=== debian/control ===
Source: codecgraph
Section: sound
Priority: extra
Maintainer: Keng-Yu Lin <kengyu@lexical.tw>
Build-Depends: debhelper (>= 7.0.50~), python (>=2.4), python-support
Standards-Version: 3.9.2
Homepage: http://helllabs.org/codecgraph/

Package: codecgraph
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, graphviz
Description: Generates graphviz graphs from HDA-Intel codec information
 Codecgraph is a tool to generate a graph based on the ALSA description 
 of a High Definition Audio codec. The generated graph depicts the HDA 
 codec layout and node connections, helping driver troubleshooting and 
 maintenance. Codecgraph's parser reads the codec description from 
 /proc/asound/card*/codec#0 and parsed data is sent to Graphviz for 
 actual graph generation.
